File - Delete Files
Delete files on an entity's profile.
POST https://titleId.playfabapi.com/File/DeleteFiles
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-EntityToken | True |
string |
This API requires an Entity Session Token, available from the Entity GetEntityToken method. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| Entity | True |
The entity to perform this action on. |
|
| FileNames | True |
string[] |
Names of the files to be deleted. |
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
|
| ProfileVersion |
number |
Optional field used for concurrency control. By specifying the previously returned ProfileVersion value from the GetFiles API or other APIs, you can ensure that the file deletion is performed only if the profile has not been updated since you last loaded that version. If the profile for the same entity has been updated, the operation will fail with an EntityProfileVersionMismatch error. The conflicting update can be caused by any operation that modifies the entity profile, including SetObjects, FinalizeFileUploads, and UpdateStatistics. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-EntityToken
This API requires an Entity Session Token, available from the Entity GetEntityToken method.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Api |
The basic wrapper around every failed API response |
|
Delete |
Deletes the requested files from the entity's profile. |
|
Delete |
|
|
Entity |
Combined entity type and ID structure which uniquely identifies a single entity. |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
DeleteFilesRequest
Deletes the requested files from the entity's profile.
| Name | Type | Description |
|---|---|---|
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
| Entity |
The entity to perform this action on. |
|
| FileNames |
string[] |
Names of the files to be deleted. |
| ProfileVersion |
number |
Optional field used for concurrency control. By specifying the previously returned ProfileVersion value from the GetFiles API or other APIs, you can ensure that the file deletion is performed only if the profile has not been updated since you last loaded that version. If the profile for the same entity has been updated, the operation will fail with an EntityProfileVersionMismatch error. The conflicting update can be caused by any operation that modifies the entity profile, including SetObjects, FinalizeFileUploads, and UpdateStatistics. |
DeleteFilesResponse
| Name | Type | Description |
|---|---|---|
| Entity |
The entity id and type. |
|
| ProfileVersion |
number |
The current version of the profile, can be used for concurrency control during updates. |
EntityKey
Combined entity type and ID structure which uniquely identifies a single entity.
| Name | Type | Description |
|---|---|---|
| Id |
string |
Unique ID of the entity. |
| Type |
string |
Entity type. See https://docs.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types |
Error Codes
| Name | Code |
|---|---|
| EntityFileOperationPending | 1350 |
| FileNotFound | 1045 |